Subject: Re: bug#16532: Test Fail: "tests/chown/separator"
From: Pádraig Brady <[email-masked]>
To: Assaf Gordon <[email-masked]>
Cc: [email-masked], Bernhard Voelker <[email-masked]>
Date: Fri, 24 Jan 2014 01:43:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 01/24/2014 01:38 AM, Assaf Gordon wrote:
> This patch makes the test skip on my server (did not test it on other systems).
> 
> On 01/23/2014 08:09 PM, Pádraig Brady wrote:
>> On 01/23/2014 11:41 PM, Assaf Gordon wrote:
> 
>>> So I guess this is not a bug, and can be closed.
>>> I'll just ignore this failure on this system.
>>
>> It is a false failure though so would be worth avoiding.
>> It's important to have robust tests we and builders can rely on.
>>
>> Would something along the following be possible?
>>
>> test $(getent group $group | wc -l) != 1 || skip_ "multiple ids for group $group: $(getent group $group)"
>>
> 
> 
> From 3737105eacbb23cbe453a3d210359fea614b7154 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?P=C3=A1draig=20Brady?= <[email-masked]>
> Date: Thu, 23 Jan 2014 20:34:52 -0500
> Subject: [PATCH] tests: skip chown/separator with duplicated groups
> 
> * tests/chwon/separator.sh: skip test if the user's group has

s/chwon/chown/

> multiple entries.
> Fixes http://bugs.gnu.org/16532
> ---
>  tests/chown/separator.sh | 3 +++
>  1 file changed, 3 insertions(+)
> 
> diff --git a/tests/chown/separator.sh b/tests/chown/separator.sh
> index f64b738..ec33f4a 100755
> --- a/tests/chown/separator.sh
> +++ b/tests/chown/separator.sh
> @@ -31,6 +31,9 @@ test -n "$id_g" || framework_failure_
>  id_gn=$(id -gn) || framework_failure_
>  test -n "$id_gn" || framework_failure_
> 
> +test $(getent group $id_gn | wc -l) != 1 ||
> +  skip_ "multiple ids for group $id_gn: $(getent group $id_gn)"
> +
>  # FreeBSD 6.x's getgrnam fails to look up a group name containing
>  # a space. On such a system, skip this test if the group name contains
>  # a byte not in the portable filename character set.

Cool I'll push that in your name since you
did the hard work of tracking it down,
generating the patch and testing.

Marking this as done.

cheers,
Pádraig.